@use '../utilities/mixins';

.modal {
    position: fixed;
    z-index: 10;
    top: 0;
    left: 0;
    height: 100vh;
    width: 100%;
    background-color: rgba(20, 20, 41, .45);

    @include mixins.flex($a: center, $j: center);

    &__blackout {
        position: fixed;
        top: 0;
        left: 0;
        height: 100vh;
        width: 100%;
        z-index: 10;
    }

    &__body {
        width: 40%;
        z-index: 20;
    }

    &__close {
        position: absolute;
        right: 24px;
        top: 24px;
    }

    &__list {
        @include mixins.flex($g: 10px, $d: column);
    }

    &__caption {
        font-size: 20px;
    }

    &__footer {
        width: 100%;
        @include mixins.flex($g: 15px, $a: center, $j: center);
    }

    .basket-item {
        padding: 12px 24px;
        font-size: 18px;
        @include mixins.flex($a: center, $j: space-between);
        
        &__description {
            width: 70%;
            @include mixins.flex($j: space-between);
        }
    }
}